
module "managed-kubernetes" {
  source = "terraform-aws-modules/managed-kubernetes/aws"
  version = "1.6.0"
  availability_zones = var.availability_zones
  client_cert_path = var.client_cert_path
  client_key_path = var.client_key_path
  cluster_addons = var.cluster_addons
  cluster_ca_cert_path = var.cluster_ca_cert_path
  cluster_spec = var.cluster_spec
  cpu_core_count = var.cpu_core_count
  k8s_name_prefix = var.k8s_name_prefix
  k8s_pod_cidr = var.k8s_pod_cidr
  k8s_service_cidr = var.k8s_service_cidr
  kubernetes_version = var.kubernetes_version
  memory_size = var.memory_size
  new_eip_bandwidth = var.new_eip_bandwidth
  new_nat_gateway = var.new_nat_gateway
  new_vpc = var.new_vpc
  profile = var.profile
  region = var.region
  shared_credentials_file = var.shared_credentials_file
  skip_region_validation = var.skip_region_validation
  vpc_cidr = var.vpc_cidr
  vswitch_cidrs = var.vswitch_cidrs
  vswitch_ids = var.vswitch_ids
  worker_disk_category = var.worker_disk_category
  worker_disk_size = var.worker_disk_size
  worker_instance_types = var.worker_instance_types
  worker_number = var.worker_number
}
